<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class GuestRoomUpdateRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array|string>
     */
    public function rules(): array
    {
        return [
            'room_name' => 'required|max:255|unique:guest_rooms,room_name,' . $this->get('id'),
            'capactity' => 'required',
            'per_hour_charges' => 'required',
            'layout' => 'sometimes',
        ];
    }
}
